%global debug_package %{nil}
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

Name:           oracle-olcne-release-el9
Version:        1.0
Release:        1%{dist}
Vendor:         Oracle America
Summary:        Oracle Cloud Native Environment yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-olcne-ol9.repo
Source1:        LICENSE
Source2:        oracle-olcne-ol9.repo.aarch64


BuildArch:     x86_64 aarch64
Requires:      oraclelinux-release-el9 >= 1.0-10
Requires:      grep
Requires:      sed
Requires:      yum-utils
Requires:      curl

%description
This package contains the Oracle Cloud Native Environment yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%if "%{?_host_cpu}" == "aarch64"
install -pm 644 %{SOURCE2}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/oracle-olcne-ol9.repo
%endif

install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*

%post
if [ ! -f /etc/yum/vars/ociregion ]; then
(http_proxy="";curl --max-time 1 -q -f http://169.254.169.254/opc/v2/instance/ -H "Authorization: Bearer Oracle" > /dev/null 2>&1)
 if [ $? != 0 ]; then
   echo > /etc/yum/vars/ociregion
 else
  instance_region=$(http_proxy="";curl http://169.254.169.254/opc/v2/instance/ -s -H "Authorization: Bearer Oracle" | grep "region\" :" | awk -F\" '{print $4}' | cut -d '-' -f 2)
  if [ -z "$instance_region" ]; then
    echo > /etc/yum/vars/ociregion
  else
    if curl -sfm 10 http://yum-${instance_region}.oracle.com/yum-${instance_region}-ol7.repo > /dev/null; then
        echo "-$instance_region" > /etc/yum/vars/ociregion
    else
        echo > /etc/yum/vars/ociregion
     fi
  fi
 fi
fi

%changelog
* Wed Jun 21 2023 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> 1.0-1
- Initial release
